SyntaxError when installed using Vundle for Vim on Windows #94

Closed
apokaliptis opened this Issue Dec 26, 2013 · 0 comments

Comments

Projects
None yet
2 participants

Hey, thanks for SparkUp. I originally installed it using Pathogen using Copy/Paste method and worked great. I just moved to Vundle and installed it using Bundle 'rstacruz/sparkup', {'rtp': 'vim'} in my ~/.vimrc and it appears to install fine but when I type my SparkUp text and hit Ctrl-E I get:

  File "C:\Users\Cyber\.vim\bundle\sparkup\vim\ftplugin\html\sparkup.py", line 1
    ../../../sparkup.py
    ^
SyntaxError: invalid syntax

Setting let g:sparkup = "~/.vim/bundle/sparkup" doesn't fix it unfortunately.

Tested with 2 different builds of Vim and both 32-bit and 64-bit Python. This is probably Vundle's fault but I decided to post this issue here anyways just so you know.

My fix for now is to copy the real sparkup.py and paste it over the the one linking to it in the vim folder. I'd probably have to do this each I time upgrade. :L

EDIT: I submitted an Issue on Vundle's repo

apokaliptis referenced this issue in VundleVim/Vundle.vim Dec 26, 2013

Closed

SparkUp not working in Vundle on Windows #369

faceleg closed this Jan 29, 2014

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment